# $Revision: 1.17 $, $Date: 2002/09/13 15:29:33 $
%define		mod_name	xslt
%define 	apxs		/usr/sbin/apxs
Summary:	Module to serve XML based content
Summary(pl):	Modu do udostpniania dokumentw XML
Name:		apache-mod_%{mod_name}
Version:	1.1
Release:	4
License:	GPL
URL:		http://modxslt.userworld.com/
Source0:	http://prdownloads.sourceforge.net/mod%{mod_name}/mod_%{mod_name}-%{version}.tar.gz
Source1:	mod_%{mod_name}.conf
Patch0:		mod_%{mod_name}-includes.patch
Patch1:		mod_%{mod_name}-regex.patch
Patch2:		mod_%{mod_name}-make.patch
Patch3:		mod_%{mod_name}-module.patch
Group:		Networking/Daemons
Requires:	expat
Requires:	sablotron
BuildRequires:	%{apxs}
BuildRequires:	apache-devel
BuildRequires:	sablotron-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR)
%define		_sysconfdir	/etc/httpd

%description
mod_xslt is a simple Apache module to serve XML based content. Data is
stored in XML files on the server. The user requests the XML file and
the translation method via a url such as this:
http://localhost/sourcefile.html. The module will parse this URL into
a XML source file and an XSL source file. In the example above, the
XML file will be sourcefile.xml. The module will open sourcefile.xml
and determine its DOCTYPE. Based on the DOCTYPE, the XSL file will be
opened. Should the DOCTYPE be "tutorial", the XSL file opened would be
tutorial_html.xsl. The content-type returned to the browser is
text/html. The translation occurs transparently to the user.

%description -l pl
mod_xslt jest prostym moduem Apache do udostpniania dokumentw XML.
Dane s zapisane w plikach XML na serwerze. Uytkownik da pliku XML
i tmaczenia poprzez URL w stylu http://localhost/sourcefile.html.
Modu zamienia ten URL na pliki rdowe XML i XSL. W tym przykadzie
plikiem XML bdzie sourcefile.xml. Modu otworzy plik sourcefile.xml i
okreli DOCTYPE, na podstawie ktrego otworzy odpowiedni plik XSL.
Jeeli DOCTYPE jest "tutorial", plikiem XSL bdzie tutorial_html.xsl.
Nastpnie modu dokona przetworzania pliku XML za pomoc arkusza XSLT 
i zwrci przegldarce powstay w ten sposb text/html. Cay proces
odbywa si w sposb niewidoczny dla uytkownika.

%prep
%setup -q -n mod%{mod_name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
CFLAGS="%{rpmcflags} -DEAPI"; export CFLAGS
%{__make} APXS=%{apxs}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/mod_xslt.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{apxs} -e -a -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mod_%{mod_name}.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: apache-mod_xslt.spec,v $
Revision 1.17  2002/09/13 15:29:33  ggodlewski
- dynamically linked with sablot
- fix in config file

Revision 1.16  2002/08/05 08:25:01  qboosh
- typo

Revision 1.15  2002/08/04 20:29:29  klakier
- silly polish translation fixed

Revision 1.14  2002/04/25 15:47:07  arturs
fixed a small typo

Revision 1.13  2002/04/25 06:51:07  ggodlewski
Regular expression fixed. Now it works.
STBR

Revision 1.12  2002/03/26 23:47:23  misiek
- fixed huge bug (zeroing httpd.conf after deinstalation)

Revision 1.11  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/17 21:13:11  ankry
- release 3

Revision 1.9  2002/02/17 18:52:20  ankry
- added %%{apxs} local macro to avoid adapter problems
- fix use of %%{apxs} and %%{_sbindir}/apxs
- added BR %%{apxs} and Prereq %%{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.8  2002/01/18 02:12:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/11/22 15:08:38  filon
- added -DEAPI flag for compiler (new apache API)
- not working yet (problem with sablotron)

Revision 1.6  2001/10/31 12:06:55  qboosh
- pl description

Revision 1.5  2001/09/25 16:26:22  kloczek
- release 2.

Revision 1.4  2001/09/25 13:45:41  waszi
- added mod_xslt.conf
- fixes

Revision 1.3  2001/05/02 00:42:07  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.2  2001/01/25 20:03:20  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.1  2000/07/21 15:44:35  klakier
- initial version
